#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 9. General Libraries

- Prev

  libxslt-1.1.42

- Next

  libyaml-0.2.5

- Up
- Home

# libwacom-2.14.0

## Introduction to libwacom

The libwacom package contains a library used to identify graphics tablets from Wacom or various other vendors and their model-specific features.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://github.com/linuxwacom/libwacom/releases/download/libwacom-2.14.0/libwacom-2.14.0.tar.xz

- Download MD5 sum: f3a3ba5144bb83c4ac71dae92e5512a9

- Download size: 152 KB

- Estimated disk space required: 5.0 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

### libwacom Dependencies

#### Required

libevdev-1.13.3 and libgudev-238

#### Recommended

libxml2-2.13.6

#### Optional

Doxygen-1.13.2, git-2.48.1, librsvg-2.59.2, Valgrind-3.24.0 (optional for some tests), and pytest-8.3.4 with python-libevdev and pyudev

## Installation of libwacom

Install libwacom by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..            \
          --prefix=/usr       \
          --buildtype=release \
          -D tests=disabled    &&
    ninja

To test the results, issue: ninja test. To run additional tests, install pytest-8.3.4, python-libevdev, and pyudev, then remove the "-D tests=disabled" option from the meson line above.

If upgrading from a previous version of libwacom, remove the old device database installation to prevent a potential duplicated match of devices in case some old database files are not overwritten:

    rm -rf /usr/share/libwacom

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D tests=disabled`: This parameter disables some of the more advanced tests because they require pytest-8.3.4 and other two Python modules beyond the scope of BLFS to work properly.

## Contents

Installed Programs: libwacom-list-devices, libwacom-list-local-devices, libwacom-show-stylus, and libwacom-update-db
Installed Libraries: libwacom.so
Installed Directories: /usr/include/libwacom-1.0 and /usr/share/libwacom

### Short Descriptions

libwacom-list-devices | lists all tablet devices that are supported by libwacom
libwacom-list-local-devices | lists tablet devices that are connected to the system
libwacom-show-stylus | lists tablet stylus IDs
libwacom-update-db | updates the system according to the current set of tablet data files
`libwacom.so` | contains functions used for accessing Wacom information

- Prev

  libxslt-1.1.42

- Next

  libyaml-0.2.5

- Up
- Home